Subject: Re: [GIT] Networking

From: Ingo Molnar <[email-masked]>
Date: Thu, 21 Jun 2018 10:45:10 +0200

* David Miller <[email-masked]> wrote:

> 1) Fix crash on bpf_prog_load() errors, from Daniel Borkmann.

> Daniel Borkmann (4):
>       Merge branch 'bpf-misc-fixes'
>       bpf: fix panic in prog load calls cleanup
>       bpf: reject any prog that failed read-only lock
>       bpf, xdp, i40e: fix i40e_build_skb skb reserve and truesize

JFYI, I'm still seeing this BPF build error upstream, on a 32-bit allyesconfig I'm 
getting:

  LD      vmlinux.o
  ld: i386:x86-64 architecture of input file `net/bpfilter/bpfilter_umh.o' is incompatible with i386 output
  Makefile:1010: recipe for target 'vmlinux' failed
  make: *** [vmlinux] Error 1

A similar looking build bug was reported by sfr three weeks ago:

> Subject: linux-next: build failure after merge of the net-next tree
>
> ...
>
> x86_64-linux-ld: unknown architecture of input file `net/bpfilter/bpfilter_umh.o' 
> is incompatible with i386:x86-64 output
>
> Caused by commit
>
>  d2ba09c17a06 ("net: add skeleton of bpfilter kernel module")
>
> In my builds, the host is PowerPC 64 LE ...
>
> I have reverted that commit along with
>
>  61a552eb487f ("bpfilter: fix build dependency")
>  13405468f49d ("bpfilter: don't pass O_CREAT when opening console for debug")
>
> for today.

Is there a fix I could try?

Thanks,

	Ingo